## org.gnu.gtk
Class ResponseType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.ResponseType

public class ResponseType
extends org.gnu.glib.Enum

Field Summary
`static ResponseType` `ACCEPT`
`static ResponseType` `APPLY`
`static ResponseType` `CANCEL`
`static ResponseType` `CLOSE`
`static ResponseType` `DELETE_EVENT`
`static ResponseType` `HELP`
`static ResponseType` `NO`
`static ResponseType` `NONE`
`static ResponseType` `OK`
`static ResponseType` `REJECT`
`static ResponseType` `YES`

Method Summary
`ResponseType` `and(ResponseType other)`
`static ResponseType` `intern(int value)`
`ResponseType` `or(ResponseType other)`
`boolean` `test(ResponseType other)`
`ResponseType` `xor(ResponseType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final ResponseType NONE

### REJECT

    public static final ResponseType REJECT

### ACCEPT

    public static final ResponseType ACCEPT

### DELETE_EVENT

    public static final ResponseType DELETE_EVENT

### OK

    public static final ResponseType OK

### CANCEL

    public static final ResponseType CANCEL

### CLOSE

    public static final ResponseType CLOSE

### YES

    public static final ResponseType YES

### NO

    public static final ResponseType NO

### APPLY

    public static final ResponseType APPLY

### HELP

    public static final ResponseType HELP

Method Detail

### intern

    public static ResponseType intern(int value)

### or

    public ResponseType or(ResponseType other)

### and

    public ResponseType and(ResponseType other)

### xor

    public ResponseType xor(ResponseType other)

### test

    public boolean test(ResponseType other)